const rules = require('eslint-config-ua/rules/overrides').rules;

const baseDevDepAllowances = rules['import/no-extraneous-dependencies'][1].devDependencies;

module.exports = {
  'rules': {
    'react/jsx-indent': ['error', 'tab'],
    'react/jsx-indent-props': ['error', 'tab'],
    'react/jsx-filename-extension': ['error', { extensions: ['.js', '.jsx'] }],
    'import/no-extraneous-dependencies': ['error', {
      devDependencies: baseDevDepAllowances.concat([
        '**/*.test.jsx', // tests where the extension denotes that it is a test
        '**/*.spec.jsx', // tests where the extension denotes that it is a test
        '**/*.stories.js', // Storybook stories
        'webpack/**' // multi-environment webpack configuration
      ])
    }]
  }
};
